(* $Id: sparse.mli,v 1.1 2010-07-23 15:00:31 deraugla Exp $ *)

open Tasks;

type dameid_file =
  { d_tasks : list task_def;
    d_pree_cost : int;
    d_glob_prec : bool;
    d_graph_prec : list (list int);
    d_strict_per : bool;
    d_fully_non_pree : bool;
    d_latency_constr : list latency_constr;
    d_default_prio : option priority_policy }
;

value graph_preceding_tasks : list (list 'a) -> 'a -> list 'a;
value genuine_graph_precedence : tasks -> list (list int) -> list (list int);
value compare_priorities : tasks -> int -> int -> int;
value set_task_order : tasks -> unit;
value make_ts : dameid_file -> tasks;

value first_duration : task_def -> int;

value parse_graph_prec_eoi : Stream.t char -> option (list (list int));
value parse_latency_list_eoi : Stream.t char -> option (list latency_constr);
value parse_user_priority_eoi : Stream.t char -> option (list int);

value parse_and_check_dameid : Stream.t char -> list (Ploc.t * dameid_file);
